setTimeout(() => {
    var testeArray = [];
    var contador = 1;
    var segundos = 5;
    var urlCodInserir = window.location.href;
    var valorDetectado = "";
    
    if(document.querySelector('#camera') !== null){
    Quagga.init({
        inputStream: {
            name: "Live",
            type: "LiveStream",
            numOfWorkers: navigator.hardwareConcurrency,
            constraints: {
                width: 470,
                height: 480,
              },
             
            target: document.querySelector('#camera')
        },
        decoder: {
            readers: ["code_128_reader"]
        }
    }, function (err) {
        if (err) {
            console.log(err);
            return
        }
        console.log("Initialization finished. Ready to start");
        Quagga.start();
        
    document.getElementById("clicar").onclick = function(){
        Quagga.stop();
        
        
    }
        
    });
}
    
    
    Quagga.onDetected(function (data) {
        testeArray.push(contador+" - "+data.codeResult.code+"\n");
        console.log(data);
        //$('#resultado').val(testeArray.join(''));
        Quagga.stop();
        valorDetectado = testeArray.join('');

        if(urlCodInserir.substr(-21) === "codigodebarrasinserir"){
            inserirEstoque(valorDetectado);
        }

        window.location.reload(true);
        contador++;
    });

    function inserirEstoque(retorno){
        
        alert(retorno);
    }


    function retirarEstoque(){

    }


     }, 100);